varying vec3		eye0,
			eye1,
			eye2;
varying vec2 		texcoord;
uniform sampler2D 	bump;

varying vec4		pos,
			prev;
uniform float		vScale;

void main()
{
	vec3 normal=texture2D(bump,texcoord.st).xyz*2.0-1.0;
	
	// convert normal to eye space
	gl_FragColor.x=dot(normal,eye0);
	gl_FragColor.y=dot(normal,eye1);
	gl_FragColor.z=dot(normal,eye2);
}
